Skip to main content
`Ctrl`+`K`

# PetscDSHasJacobianPreconditioner

Checks if a Jacobian matrix for constructing a preconditioner has been set

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasJacobianPreconditioner(PetscDS ds, PetscBool *hasJacPre)

Not Collective

## Input Parameter

- ds - The `PetscDS`

## Output Parameter

- hasJacPre - the flag

## See Also

`PetscDS`, `PetscDSGetJacobianPreconditioner()`, `PetscDSSetJacobianPreconditioner()`, `PetscDSGetJacobian()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages